<style type="text/css">
	.attendee-action-button {
		width: 4em;
		height:4em;
		text-align: center;
		border-radius: 2em;
		background-color: #2e6284;
	}
	.attendee-action-button .mdi {
		font-size: 2em;
		margin-top: 14px;
	}
	.attendee-action-button:active {
		background-color: #2e6284;
	}
	.bar.bar-positive  {
		background-color: #165b9c;
		border-color: #165b9c;
		background-image: linear-gradient(0deg, #165b9c, #165b9c 50%, transparent 50%);
	}
	.item-divider{
		font-size: 13px;
	}
	.take-picture {
	    font-size: 38px;
	}

	#closeAttendeeDetailModal > i:before {
		font-size: 30px;
	}
	.disabled-contact {
		color: #888787;
	}

	#searchBar {
		width: 100%;
    	padding-left: 6px;
    	border-radius: 0.3em;
    	height: 29px;
    	line-height: 19px;
	}

	#myBtn {
	  position: fixed;
	  bottom: 20px;
	  right: 30px;
	  z-index: 99;
	  font-size: 18px;
	  border: none;
	  outline: none;
	  background-color: red;
	  color: white;
	  cursor: pointer;
	  padding: 15px;
	  border-radius: 4px;
	}

	#myBtn:hover {
	  background-color: #555;
	}
	#scrollToTop {
		display: none;
	}
	.up-icon {
		font-size: 30px !important;
	}
	img {
		max-width: 100%;
	}
</style>
<ion-view cache-view="false" title="Topic">
<ion-nav-buttons side="left">
    <button class="button button-clear" ng-click="goBack();" >
    <i class="icon ion-ios-arrow-back"></i></button>
 </ion-nav-buttons>
 <ion-nav-buttons side="right">
	<button class="button button-clear" ng-click="like(postDetail.messid);">
    <i class="icon mdi mdi-thumb-up"></i></button>

    <button class="button button-clear" ng-click="bookmark(postDetail.messid);">
    <i class="icon mdi mdi-bookmark"></i></button>

 </ion-nav-buttons>
<!-- 	<ion-floating-button click="scrollToTop()" has-footer="false" button-color="#2f404f" icon="ion-arrow-up-c up-icon" icon-color="#fff" id="scrollToTop"></ion-floating-button> -->
  <ion-content class="content" style="background: #fff;" on-scroll="getScrollPosition()">
		<div class="col padding">
			<h4>{{postDetail.title}}</h4>
          <p style="font-size: 15px;">
              <a href="#" class="subdued"><i class="mdi mdi-thumb-up"></i> {{postDetail.liked}}</a>
              <a href="#" class="subdued"><i class="mdi mdi-eye"></i> {{postDetail.views}}</a>
              <a href="#/user-posts/{{postDetail.ownerloginid}}" class="subdued"><i class="mdi mdi-account"></i> {{postDetail.ownerusername}}</a>
              <p>Posted on: {{postDetail.postdate}}</p>
          </p>
      	</div>
        <div class="padding" ng-bind-html="postDetail.description"></div>
        <br>
		<div class="list">
			<div class="item item-divider">
		        Comments
		    </div>
		    <div ng-repeat="postReply in postReplies" ng-if="postReplies">
			    <a class="item item-avatar" href="#/user-posts/{{postReply.ownerloginid}}">
			      <img src="http://www.mudraa.com/mudraaimg/{{postReply.ownerloginid}}.jpg">
			      <h2>{{postReply.ownerusername}}</h2>
			      <p>{{postReply.postdate}}</p>
			    </a>
			    <div class="item item-body" style="border-color: #fff; border-bottom-color: #ccc; padding-top: 0px;">
					<p ng-bind-html="postReply.comment"></p>
				</div>
			</div>
			<div ng-if="!postReplies"><br>
			    <center style="color: #aba9a9;">No comments to show.</center><br><br>
			</div>
		</div>
        
	</ion-content>
</ion-view>
